Bug 13893 - LDB full scans need to discard index records sooner
LDB full scans need to discard index records sooner
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.10.2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-04-09 23:26 UTC by Andrew Bartlett
Modified: 2019-06-26 07:04 UTC (History)
1 user (show)

See Also:


Attachments
Patch for 4.10 (4.79 KB, patch)
2019-04-29 04:43 UTC, Garming Sam
abartlet: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Bartlett 2019-04-09 23:26:40 UTC
By checking the key for the tell-tale DN=@IDX prefix we can discard the record without further work, making a massive performance improvement during a full scan. 

Patches due in master shortly.
Comment 1 Garming Sam 2019-04-29 04:43:59 UTC
Created attachment 15105 [details]
Patch for 4.10
Comment 2 Garming Sam 2019-04-29 04:46:16 UTC
Patch doesn't apply cleanly to 4.9, so I won't bother going any further.
Comment 3 Andrew Bartlett 2019-06-11 10:37:12 UTC
Comment on attachment 15105 [details]
Patch for 4.10

This makes a big difference to full scan performance and so can be backported.
Comment 4 Karolin Seeger 2019-06-20 10:02:18 UTC
(In reply to Andrew Bartlett from comment #3)
Pushed to autobuild-v4-10-test.
Comment 5 Karolin Seeger 2019-06-26 07:04:09 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to v4-10-test.
Closing out bug report.

Thanks!